Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy
Interface DependencyResolver

All Known Implementing Classes:
  AbstractResolver

public interface DependencyResolver

Author:
  x.hanin

Method Summary
`DownloadReport` | `download(Artifact[] artifacts, Ivy ivy, java.io.File cache)`
`void` | `dumpConfig()`
`boolean` | `exists(Artifact artifact)`
`ResolvedModuleRevision` | `getDependency(DependencyDescriptor dd, ResolveData data)` Resolve a module by id, getting its module descriptor and resolving the revision if it's a latest one (i.e. a revision uniquely identifying the revision of a module in the current environment - If this revision is not able to identify uniquelely the revision of the module outside of the current environment, then the resolved revision must begin by ##)
`java.lang.String` | `getName()`
`ModuleEntry[]` | `listModules(OrganisationEntry org)`
`OrganisationEntry[]` | `listOrganisations()`
`RevisionEntry[]` | `listRevisions(ModuleEntry module)`
`void` | `publish(Artifact artifact, java.io.File src, boolean overwrite)`
`void` | `reportFailure()` Reports last resolve failure as Messages
`void` | `reportFailure(Artifact art)` Reports last artifact download failure as Messages
`void` | `setName(java.lang.String name)` Should only be used by configurator

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

  Should only be used by configurator

  Parameters:
    `name` - the new name of the resolver

### getDependency

    public ResolvedModuleRevision getDependency(DependencyDescriptor dd,
                                                ResolveData data)
                                         throws java.text.ParseException

  Resolve a module by id, getting its module descriptor and resolving the revision if it's a latest one (i.e. a revision uniquely identifying the revision of a module in the current environment - If this revision is not able to identify uniquelely the revision of the module outside of the current environment, then the resolved revision must begin by ##)

  Throws:
    `java.text.ParseException`

### download

    public DownloadReport download(Artifact[] artifacts,
                                   Ivy ivy,
                                   java.io.File cache)

### exists

    public boolean exists(Artifact artifact)

### publish

    public void publish(Artifact artifact,
                        java.io.File src,
                        boolean overwrite)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### reportFailure

    public void reportFailure()

  Reports last resolve failure as Messages

### reportFailure

    public void reportFailure(Artifact art)

  Reports last artifact download failure as Messages

  Parameters:
    `art` -

### listOrganisations

    public OrganisationEntry[] listOrganisations()

### listModules

    public ModuleEntry[] listModules(OrganisationEntry org)

### listRevisions

    public RevisionEntry[] listRevisions(ModuleEntry module)

### dumpConfig

    public void dumpConfig()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD